Update Customer Address

Updates a Customer Address. Multiple customer addresses can be updated in one call. **Required Fields** * **id** -- ID of the *Customer Address* **Limits** * Limit of **3** concurrent requests. **Notes** * A unique customer address is a combination of the following core address fields: * **first_name** * **last_name** * **company** * **phone** * **address_type** * **address1** * **address2** * **city** * **country_code** * **state_or_province** * **postal_code** * An attempt to update an address such that it becomes identical to another address that already exists will result in no change to the target address or custom form field values. The response will have an HTTP 200 return code, and the address will be absent from the response body.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Headers

AcceptstringOptionalDefaults to application/json

Request

This endpoint expects a list of objects.
idintegerRequired
The unique numeric ID of the address.
first_namestringOptional1-255 characters
The first name of the customer address.
last_namestringOptional1-255 characters
The last name of the customer address.
companystringOptional0-255 characters
The company of the customer address.
address1stringOptional
The address 1 line.
address2stringOptional
The address 2 line.
citystringOptional0-100 characters
The city of the customer address.
state_or_provincestringOptional0-100 characters
The state or province name.
postal_codestringOptional0-30 characters
The postal code of the customer address.
country_codestringOptional=2 characters
The country code of the customer address.
phonestringOptional0-50 characters
The phone number of the customer address.
address_typeenumOptional
The address type. Residential or Commercial.
Allowed values:
form_fieldslist of objectsOptional
Array of form fields. Controlled by formfields parameter.

Response

AddressCollectionResponseobject
Response payload for the BigCommerce API.
OR
DuplicateAddressCollectionResponseobject

Errors

422
Unprocessable Entity Error